<?xml version="1.0" encoding="utf-16"?>
<Setup xmlns="http://schemas.microsoft.com/Setup/2008/01/im" xmlns:ironman="http://schemas.microsoft.com/Setup/2008/01/im" SetupVersion="1.0">
  <UI Dll="SetupUi.dll" Name="KB2858302v2" Version="10.0.30319" />
  <Configuration>
    <UserExperienceDataCollection Policy="OSControlled">
      <PatchType Type="GDR" />
    </UserExperienceDataCollection>
    <FilesInUseSetting Prompt="false" />
  </Configuration>
  <EnterMaintenanceModeIf>
    <NeverTrue />
  </EnterMaintenanceModeIf>
  <Blockers>
    <SuccessBlockers>
      <BlockIf DisplayText="#(loc.Blocker_SuccessOnPatchNewerNetFx)" ID="SuccessOnPatchNewerNetFx">
        <And>
          <And>
            <LessThan LeftHandSide="4.0.30320" BoolWhenNonExistent="false">
              <RegKeyValue Location="HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\NET Framework Setup\NDP\v4\Full\Version" />
            </LessThan>
            <Equals LeftHandSide="Installing" BoolWhenNonExistent="false">
              <Operation />
            </Equals>
          </And>
          <Exists>
            <CommandLineSwitch Name="ChainingPackage NETFX4WUKB" />
          </Exists>
        </And>
      </BlockIf>
    </SuccessBlockers>
  </Blockers>
  <Items OnSubFailureAction="Rollback" DownloadRetries="3" DelayBetweenRetries="5" CopyPackageFilesToDownloadLocation="false">
    <Patches IgnoreDownloadFailure="false" Rollback="true">
      <ActionTable>
        <InstallAction IfPresent="install" IfAbsent="install" />
        <UninstallAction IfPresent="uninstall" IfAbsent="noop" />
        <RepairAction IfPresent="install" IfAbsent="noop" />
      </ActionTable>
      <CustomErrorHandling>
        <CustomError ReturnCode="1601">
          <Retry Delay="1" Limit="1">
            <ItemRef Name="SetupUtility.exe" />
          </Retry>
        </CustomError>
        <CustomError ReturnCode="1603" MSIErrorMessage="1303">
          <Retry Delay="1" Limit="1">
            <ItemRef Name="SetupUtility.exe" />
          </Retry>
        </CustomError>
        <CustomError ReturnCode="1603" MSIErrorMessage="1304">
          <Retry Delay="1" Limit="1">
            <ItemRef Name="SetupUtility.exe" />
          </Retry>
        </CustomError>
        <CustomError ReturnCode="1603" MSIErrorMessage="1306">
          <Retry Delay="1" Limit="1">
            <ItemRef Name="SetupUtility.exe" />
          </Retry>
        </CustomError>
        <CustomError ReturnCode="1603" MSIErrorMessage="1307">
          <Retry Delay="1" Limit="1">
            <ItemRef Name="SetupUtility.exe" />
          </Retry>
        </CustomError>
        <CustomError ReturnCode="1603" MSIErrorMessage="1309">
          <Retry Delay="1" Limit="1">
            <ItemRef Name="SetupUtility.exe" />
          </Retry>
        </CustomError>
        <CustomError ReturnCode="1603" MSIErrorMessage="1310">
          <Retry Delay="1" Limit="1">
            <ItemRef Name="SetupUtility.exe" />
          </Retry>
        </CustomError>
        <CustomError ReturnCode="1603" MSIErrorMessage="1311">
          <Retry Delay="1" Limit="1">
            <ItemRef Name="SetupUtility.exe" />
          </Retry>
        </CustomError>
        <CustomError ReturnCode="1603" MSIErrorMessage="1312">
          <Retry Delay="1" Limit="1">
            <ItemRef Name="SetupUtility.exe" />
          </Retry>
        </CustomError>
        <CustomError ReturnCode="1603" MSIErrorMessage="1316">
          <Retry Delay="1" Limit="1">
            <ItemRef Name="SetupUtility.exe" />
          </Retry>
        </CustomError>
        <CustomError ReturnCode="1603" MSIErrorMessage="1317">
          <Retry Delay="1" Limit="1">
            <ItemRef Name="SetupUtility.exe" />
          </Retry>
        </CustomError>
        <CustomError ReturnCode="1603" MSIErrorMessage="1321">
          <Retry Delay="1" Limit="1">
            <ItemRef Name="SetupUtility.exe" />
          </Retry>
        </CustomError>
        <CustomError ReturnCode="1603" MSIErrorMessage="1335">
          <Retry Delay="1" Limit="1">
            <ItemRef Name="SetupUtility.exe" />
          </Retry>
        </CustomError>
        <CustomError ReturnCode="1603" MSIErrorMessage="1402">
          <Retry Delay="1" Limit="1">
            <ItemRef Name="SetupUtility.exe" />
          </Retry>
        </CustomError>
        <CustomError ReturnCode="1603" MSIErrorMessage="1406">
          <Retry Delay="1" Limit="1">
            <ItemRef Name="SetupUtility.exe" />
          </Retry>
        </CustomError>
        <CustomError ReturnCode="1603" MSIErrorMessage="1606">
          <Retry Delay="1" Limit="1">
            <ItemRef Name="SetupUtility.exe" />
          </Retry>
        </CustomError>
        <CustomError ReturnCode="1603" MSIErrorMessage="1706">
          <Retry Delay="1" Limit="1">
            <ItemRef Name="SetupUtility.exe" />
          </Retry>
        </CustomError>
        <CustomError ReturnCode="1603" MSIErrorMessage="1719">
          <Retry Delay="1" Limit="1">
            <ItemRef Name="SetupUtility.exe" />
          </Retry>
        </CustomError>
        <CustomError ReturnCode="1603" MSIErrorMessage="1723">
          <Retry Delay="1" Limit="1">
            <ItemRef Name="SetupUtility.exe" />
          </Retry>
        </CustomError>
        <CustomError ReturnCode="1603" MSIErrorMessage="1923">
          <Retry Delay="1" Limit="1">
            <ItemRef Name="SetupUtility.exe" />
          </Retry>
        </CustomError>
        <CustomError ReturnCode="1603" MSIErrorMessage="1931">
          <Retry Delay="1" Limit="1">
            <ItemRef Name="SetupUtility.exe" />
          </Retry>
        </CustomError>
      </CustomErrorHandling>
      <MSP Name="NDP40-KB2858302.msp" DownloadSize="6130688" SystemDriveSize="6130688" InstalledProductSize="0" EstimatedInstallTime="3" PatchCode="{8BA4E34D-95C5-3907-87E4-62FBB31A2190}">
        <IsPresent>
          <Exists>
            <MsiGetCachedPatchPath PatchCode="Self" />
          </Exists>
        </IsPresent>
        <ApplicableIf>
          <Exists>
            <MsiXmlBlob>
              <MsiPatch xmlns="http://www.microsoft.com/msi/patch_applicability.xsd" SchemaVersion="1.0.0.0" PatchGUID="{8BA4E34D-95C5-3907-87E4-62FBB31A2190}" MinMsiVersion="5">
                <TargetProduct MinMsiVersion="300">
                  <TargetProductCode Validate="true">{3C3901C5-3455-3E0A-A214-0B093A5070A6}</TargetProductCode>
                  <TargetVersion Validate="true" ComparisonType="Equal" ComparisonFilter="MajorMinorUpdate">4.0.30320</TargetVersion>
                  <TargetLanguage Validate="false">0</TargetLanguage>
                  <UpdatedLanguages>0</UpdatedLanguages>
                  <UpgradeCode Validate="true">{10E35DD9-8269-3F1E-97F4-99F0DA3C2CEC}</UpgradeCode>
                </TargetProduct>
                <TargetProduct MinMsiVersion="300">
                  <TargetProductCode Validate="true">{0A0CADCF-78DA-33C4-A350-CD51849B9702}</TargetProductCode>
                  <TargetVersion Validate="true" ComparisonType="Equal" ComparisonFilter="MajorMinorUpdate">4.0.30320</TargetVersion>
                  <TargetLanguage Validate="false">0</TargetLanguage>
                  <UpdatedLanguages>0</UpdatedLanguages>
                  <UpgradeCode Validate="true">{99C3159A-C4E5-32E6-98FA-7AC45BCB89C2}</UpgradeCode>
                </TargetProduct>
                <TargetProduct MinMsiVersion="300">
                  <TargetProductCode Validate="true">{3C3901C5-3455-3E0A-A214-0B093A5070A6}</TargetProductCode>
                  <TargetVersion Validate="true" ComparisonType="Equal" ComparisonFilter="MajorMinorUpdate">4.0.30319</TargetVersion>
                  <TargetLanguage Validate="false">0</TargetLanguage>
                  <UpdatedLanguages>0</UpdatedLanguages>
                  <UpgradeCode Validate="true">{10E35DD9-8269-3F1E-97F4-99F0DA3C2CEC}</UpgradeCode>
                </TargetProduct>
                <TargetProduct MinMsiVersion="300">
                  <TargetProductCode Validate="true">{0A0CADCF-78DA-33C4-A350-CD51849B9702}</TargetProductCode>
                  <TargetVersion Validate="true" ComparisonType="Equal" ComparisonFilter="MajorMinorUpdate">4.0.30319</TargetVersion>
                  <TargetLanguage Validate="false">0</TargetLanguage>
                  <UpdatedLanguages>0</UpdatedLanguages>
                  <UpgradeCode Validate="true">{99C3159A-C4E5-32E6-98FA-7AC45BCB89C2}</UpgradeCode>
                </TargetProduct>
                <TargetProductCode>{3C3901C5-3455-3E0A-A214-0B093A5070A6}</TargetProductCode>
                <TargetProductCode>{0A0CADCF-78DA-33C4-A350-CD51849B9702}</TargetProductCode>
                <SequenceData>
                  <PatchFamily>ARP.Current</PatchFamily>
                  <Sequence>10.0.30319.2026</Sequence>
                  <Attributes>0</Attributes>
                </SequenceData>
                <SequenceData>
                  <PatchFamily>Installer_Core</PatchFamily>
                  <Sequence>10.0.30319.2026</Sequence>
                  <Attributes>0</Attributes>
                </SequenceData>
                <SequenceData>
                  <PatchFamily>ARP</PatchFamily>
                  <Sequence>10.0.30319.2026</Sequence>
                  <Attributes>0</Attributes>
                </SequenceData>
                <SequenceData>
                  <PatchFamily>CA_NgenRemoveNicPFROs_I_Cmd</PatchFamily>
                  <Sequence>10.0.30319.2026</Sequence>
                  <Attributes>0</Attributes>
                </SequenceData>
                <SequenceData>
                  <PatchFamily>NetFxCA</PatchFamily>
                  <Sequence>10.0.30319.2026</Sequence>
                  <Attributes>0</Attributes>
                </SequenceData>
                <SequenceData>
                  <PatchFamily>PF_Runtime_Serialization</PatchFamily>
                  <Sequence>10.0.30319.2026</Sequence>
                  <Attributes>0</Attributes>
                </SequenceData>
                <SequenceData>
                  <PatchFamily>PF_ASPNET_Core</PatchFamily>
                  <Sequence>10.0.30319.2026</Sequence>
                  <Attributes>0</Attributes>
                </SequenceData>
                <SequenceData>
                  <PatchFamily>PatchRegistryKey_KB2548766</PatchFamily>
                  <Sequence>10.0.30319.2026</Sequence>
                  <Attributes>0</Attributes>
                </SequenceData>
                <SequenceData>
                  <PatchFamily>PF_ServiceModelReg</PatchFamily>
                  <Sequence>10.0.30319.2026</Sequence>
                  <Attributes>0</Attributes>
                </SequenceData>
              </MsiPatch>
            </MsiXmlBlob>
          </Exists>
        </ApplicableIf>
        <CustomErrorHandling>
          <CustomError ReturnCode="1601">
            <Retry Delay="1" Limit="1">
              <ItemRef Name="SetupUtility.exe" />
            </Retry>
          </CustomError>
          <CustomError ReturnCode="1603" MSIErrorMessage="1303">
            <Retry Delay="1" Limit="1">
              <ItemRef Name="SetupUtility.exe" />
            </Retry>
          </CustomError>
          <CustomError ReturnCode="1603" MSIErrorMessage="1304">
            <Retry Delay="1" Limit="1">
              <ItemRef Name="SetupUtility.exe" />
            </Retry>
          </CustomError>
          <CustomError ReturnCode="1603" MSIErrorMessage="1306">
            <Retry Delay="1" Limit="1">
              <ItemRef Name="SetupUtility.exe" />
            </Retry>
          </CustomError>
          <CustomError ReturnCode="1603" MSIErrorMessage="1307">
            <Retry Delay="1" Limit="1">
              <ItemRef Name="SetupUtility.exe" />
            </Retry>
          </CustomError>
          <CustomError ReturnCode="1603" MSIErrorMessage="1309">
            <Retry Delay="1" Limit="1">
              <ItemRef Name="SetupUtility.exe" />
            </Retry>
          </CustomError>
          <CustomError ReturnCode="1603" MSIErrorMessage="1310">
            <Retry Delay="1" Limit="1">
              <ItemRef Name="SetupUtility.exe" />
            </Retry>
          </CustomError>
          <CustomError ReturnCode="1603" MSIErrorMessage="1311">
            <Retry Delay="1" Limit="1">
              <ItemRef Name="SetupUtility.exe" />
            </Retry>
          </CustomError>
          <CustomError ReturnCode="1603" MSIErrorMessage="1312">
            <Retry Delay="1" Limit="1">
              <ItemRef Name="SetupUtility.exe" />
            </Retry>
          </CustomError>
          <CustomError ReturnCode="1603" MSIErrorMessage="1316">
            <Retry Delay="1" Limit="1">
              <ItemRef Name="SetupUtility.exe" />
            </Retry>
          </CustomError>
          <CustomError ReturnCode="1603" MSIErrorMessage="1317">
            <Retry Delay="1" Limit="1">
              <ItemRef Name="SetupUtility.exe" />
            </Retry>
          </CustomError>
          <CustomError ReturnCode="1603" MSIErrorMessage="1321">
            <Retry Delay="1" Limit="1">
              <ItemRef Name="SetupUtility.exe" />
            </Retry>
          </CustomError>
          <CustomError ReturnCode="1603" MSIErrorMessage="1335">
            <Retry Delay="1" Limit="1">
              <ItemRef Name="SetupUtility.exe" />
            </Retry>
          </CustomError>
          <CustomError ReturnCode="1603" MSIErrorMessage="1402">
            <Retry Delay="1" Limit="1">
              <ItemRef Name="SetupUtility.exe" />
            </Retry>
          </CustomError>
          <CustomError ReturnCode="1603" MSIErrorMessage="1406">
            <Retry Delay="1" Limit="1">
              <ItemRef Name="SetupUtility.exe" />
            </Retry>
          </CustomError>
          <CustomError ReturnCode="1603" MSIErrorMessage="1606">
            <Retry Delay="1" Limit="1">
              <ItemRef Name="SetupUtility.exe" />
            </Retry>
          </CustomError>
          <CustomError ReturnCode="1603" MSIErrorMessage="1706">
            <Retry Delay="1" Limit="1">
              <ItemRef Name="SetupUtility.exe" />
            </Retry>
          </CustomError>
          <CustomError ReturnCode="1603" MSIErrorMessage="1719">
            <Retry Delay="1" Limit="1">
              <ItemRef Name="SetupUtility.exe" />
            </Retry>
          </CustomError>
          <CustomError ReturnCode="1603" MSIErrorMessage="1723">
            <Retry Delay="1" Limit="1">
              <ItemRef Name="SetupUtility.exe" />
            </Retry>
          </CustomError>
          <CustomError ReturnCode="1603" MSIErrorMessage="1923">
            <Retry Delay="1" Limit="1">
              <ItemRef Name="SetupUtility.exe" />
            </Retry>
          </CustomError>
          <CustomError ReturnCode="1603" MSIErrorMessage="1931">
            <Retry Delay="1" Limit="1">
              <ItemRef Name="SetupUtility.exe" />
            </Retry>
          </CustomError>
        </CustomErrorHandling>
      </MSP>
      <RetryHelper Name="SetupUtility.exe" DownloadSize="93184" SystemDriveSize="93184" InstalledProductSize="0" CommandLine="/wireregister" CanonicalTargetName="KB2858302v2" LogFileHint="%temp%\dd_SetupUtility.txt" />
    </Patches>
  </Items>
  <SystemCheck>
    <ProcessBlocks />
    <ServiceBlocks />
  </SystemCheck>
</Setup>